List Recipients
curl --request GET \
--url https://integration.getmateo.com/api/v1/recipient \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/recipient"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/recipient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"full_name": "<string>",
"role": "from",
"is_organisation": true,
"status": "sent"
}
]Recipient
List Recipients
Retrieve a list of recipients
List Recipients
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Recipient ID
Recipient creation date
Latest update
Organisation ID
Conversation ID
Message ID
Contact ID
Handle of recipient
Name of recipient
Role of recipient
Is recipient the organisation?
Status of recipient
Filtering Columns
Ordering. Allowed Fields: created_at
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Recipient ID
Recipient creation date
Latest update
Organisation ID
Conversation ID
Message ID
Contact ID
Handle of recipient
Name of recipient
Role of recipient
Available options:
from, to, cc, bcc, reply_to Is recipient the organisation?
Status of recipient
Available options:
sent, sending_error, bounce_error, submission_error, submitted, sending, read, draft, scheduled, interacted, answered